package com.xzzn.ems.domain;

import com.xzzn.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.xzzn.common.annotation.Excel;

/**
 * 策略运行对象 ems_strategy_running
 *
 * @author xzzn
 * @date 2025-07-10
 */
public class EmsStrategyRunning extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 主要策略 */
    @Excel(name = "主要策略")
    private Long mainStrategyId;

    /** 辅助策略 */
    @Excel(name = "辅助策略")
    private Long auxiliaryStrategyId;

    /** 策略状态：0-未启用 1-已运行 2-已暂停 3-禁用 4-删除 */
    @Excel(name = "策略状态：0-未启用 1-已运行 2-已暂停 3-禁用 4-删除")
    private String status;

    /** 站点id */
    @Excel(name = "站点id")
    private String siteId;

    /** 设备唯一标识符 */
    @Excel(name = "设备唯一标识符")
    private String deviceId;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }

    public void setMainStrategyId(Long mainStrategyId)
    {
        this.mainStrategyId = mainStrategyId;
    }

    public Long getMainStrategyId()
    {
        return mainStrategyId;
    }

    public void setAuxiliaryStrategyId(Long auxiliaryStrategyId)
    {
        this.auxiliaryStrategyId = auxiliaryStrategyId;
    }

    public Long getAuxiliaryStrategyId()
    {
        return auxiliaryStrategyId;
    }

    public void setStatus(String status)
    {
        this.status = status;
    }

    public String getStatus()
    {
        return status;
    }

    public void setSiteId(String siteId)
    {
        this.siteId = siteId;
    }

    public String getSiteId()
    {
        return siteId;
    }

    public void setDeviceId(String deviceId)
    {
        this.deviceId = deviceId;
    }

    public String getDeviceId()
    {
        return deviceId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("mainStrategyId", getMainStrategyId())
                .append("auxiliaryStrategyId", getAuxiliaryStrategyId())
                .append("status", getStatus())
                .append("createTime", getCreateTime())
                .append("updateTime", getUpdateTime())
                .append("siteId", getSiteId())
                .append("deviceId", getDeviceId())
                .append("remark", getRemark())
                .toString();
    }
}
